VMT(4)

NAME
vmt - VMware Tools driver

SYNOPSIS
vmt0 at cpufeaturebus*

DESCRIPTION
The vmt driver is a kernel level implementation of VMware Tools. VMware Tools are intended to provide better support for operating systems running inside virtual machines.

vmt handles shutdown, reboot, resume requests from the host by sending events using sysmon_pswitch(9) of type PSWITCH_TYPE_POWER, PSWITCH_TYPE_RESET, and PSWITCH_TYPE_SLEEP that can be handled by powerd(8). vmt will log notifications that the guest has been suspended or resumed by the host.

vmt reports the guest's hostname and first non-loopback IP address to the host.

SEE ALSO
powerd(8)

HISTORY
The vmt driver first appeared in OpenBSD 4.4 and was then ported to NetBSD 6.0.

AUTHORS
The vmt driver was written by David Gwynne <dlg@openbsd.org>.